#
# 2014.10.6 jdwang@asia.edu.tw
#
# usage : perl PubMed_InfoExtration_5.pl

use strict;

my $input_FileName = "./SrcData/pubmed_result_PMID_25276143.xml";

open (input_filehandle, $input_FileName) or die "can't open $input_FileName";

my $OneArticle = "";

while (my $Line = <input_filehandle>) {
	# remove the key "return" 
	chomp($Line);
	$OneArticle = $OneArticle.$Line;
}
#print "$OneArticle\n";

#<PubMedPubDate PubStatus="entrez">
#                <Year>2014</Year>
#                <Month>10</Month>
#                <Day>3</Day>
#                <Hour>6</Hour>
#                <Minute>0</Minute>
#</PubMedPubDate>


my ($TargetDateStr) = $OneArticle =~ /<PubMedPubDate PubStatus="pubmed">(.+)<\/PubMedPubDate>/;
	
my ($year,$Month1,$day);

if ($TargetDateStr ne '') {	
	# remove extra blank (space) among "$TargetDateStr"
	$TargetDateStr =~ s/ //g;			
	
	($year,$Month1,$day) = $TargetDateStr =~ /<Year>(\d+)<\/Year><Month>(\d+)<\/Month><Day>(\d+)<\/Day>/;
}
print "($year,$Month1,$day)\n";

#<ArticleTitle>Fulminant Wilson's Disease Managed with Plasmapheresis as a Bridge to Liver Transplant.</ArticleTitle>

my ($ArticleTitle) = $OneArticle =~ /<ArticleTitle>(.+)<\/ArticleTitle>/;
print "ArticleTitle=>\n$ArticleTitle\n\n";

my ($AbstractText) = $OneArticle =~ /<AbstractText>(.+)<\/AbstractText>/;
print "AbstractText=>\n$AbstractText\n";





